> ## Documentation Index
> Fetch the complete documentation index at: https://memos-api.openmem.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Get memories for user



## OpenAPI

````yaml mintdocs/openapi.json post /product/get_memory
openapi: 3.1.0
info:
  title: MemOS API
  version: 1.0.0
servers: []
security: []
paths:
  /product/get_memory:
    post:
      tags:
        - Server API
      summary: Get memories for user
      operationId: get_memories_product_get_memory_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetMemoryRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetMemoryResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    GetMemoryRequest:
      properties:
        mem_cube_id:
          type: string
          title: Mem Cube Id
          description: Cube ID
        user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: User Id
          description: User ID
        include_preference:
          type: boolean
          title: Include Preference
          description: Whether to handle preference memory
          default: true
      type: object
      required:
        - mem_cube_id
      title: GetMemoryRequest
      description: Request model for getting memories.
    GetMemoryResponse:
      properties:
        code:
          type: integer
          title: Code
          description: Response status code
          default: 200
        message:
          type: string
          title: Message
          description: Response message
        data:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Data
          description: Response data
      type: object
      required:
        - message
      title: GetMemoryResponse
      description: Response model for getting memories.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````